Bug 581197 - Review Request: zita-resampler - Fast, high-quality sample rate conversion library
Summary: Review Request: zita-resampler - Fast, high-quality sample rate conversion li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cornette
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-11 01:53 UTC by Orcan Ogetbil
Modified: 2010-05-12 18:00 UTC (History)
3 users (show)

Fixed In Version: zita-resampler-0.1.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-12 17:56:15 UTC
rpm: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2010-04-11 01:53:16 UTC
Spec URL: http://oget.fedorapeople.org/review/zita-resampler.spec
SRPM URL: http://oget.fedorapeople.org/review/zita-resampler-0.1.1-1.fc12.src.rpm
Description: 
zita-resampler is a C++ library for resampling audio signals. It is
designed to be used within a real-time processing context, to be fast,
and to provide high-quality sample rate conversion.

The library operates on signals represented in single-precision
floating point format. For multichannel operation both the input and
output signals are assumed to be stored as interleaved samples.

The API allows a trade-off between quality and CPU load. For the
latter a range of approximately 1:6 is available. Even at the highest
quality setting zita-resampler will be faster than most similar
libraries, e.g. libsamplerate.


rpmlint is clean, except some spelling warnings. These can be ignored since the warnings are about proper audio creation terminology.

Comment 1 Orcan Ogetbil 2010-04-11 01:55:36 UTC
builds fine on F-13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2108005

Comment 2 David Cornette 2010-04-16 19:21:33 UTC
Since I am not yet a fedora packager, this is an informal review.  I am probably being more verbose than normal.

There is one issue that should be addressed.  This package does not build properly on architectures other than i686 and x86_64.

#  MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint zita-resampler-0.1.1-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

GOOD

# MUST: The package must be named according to the Package Naming Guidelines .

Name contains only permitted ASCII characters.  Name matches tarball.  Separators are hyphens.  Base name is unique.  Spec file name is %{name}.spec.  Version is numeric, and matches uptstream.  Release is 1%{?dist}.  Case matches upstream.  Not renaming a package.  Documentation is not large.  Not a font or addon package.

GOOD

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

GOOD

# MUST: The package must meet the Packaging Guidelines .

GOOD

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

Package is licensed as GPLv2+, all source files appropriately marked.

GOOD

# MUST: The License field in the package spec file must match the actual license.

License field matches actual license GPLv2+.

GOOD

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

COPYING file is included in %doc.

# MUST: The spec file must be written in American English. [5]

GOOD

# MUST: The spec file for the package MUST be legible. [6]

GOOD

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ wget http://www.kokkinizita.net/linuxaudio/downloads/zita-resampler-0.1.1.tar.bz2
$ md5sum rpmbuild/SOURCES/zita-resampler-0.1.1.tar.bz2 zita-resampler-0.1.1.tar.bz2
cbf0da8b7ace593082a5f01eed828109  rpmbuild/SOURCES/zita-resampler-0.1.1.tar.bz2
cbf0da8b7ace593082a5f01eed828109  zita-resampler-0.1.1.tar.bz2

GOOD

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

Builds on x86_64.

GOOD

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

Build fails on ppc and ppc64.  The upstream makefile uses the following to set the path to install libraries to /usr/libppc or /usr/libppc64, but the %files section is looking for them to be in %{_libdir}, which is just /usr/lib or /usr/lib64.  arm, s390x, and sparc were not tested, but it appears this issue would occur on these arches as well.

BAD

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

GOOD

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

No locales used by package.

GOOD

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

Both sections call ldconfig.

GOOD

# MUST: Packages must NOT bundle copies of system libraries.

GOOD

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

Not relocatable.

GOOD

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

GOOD

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

GOOD

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

%defattr(-,root,root,-) used

GOOD

# MUST: Each package must consistently use macros.

GOOD

# MUST: The package must contain code, or permissable content.

GOOD

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

Documents are not large.

GOOD

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

GOOD

# MUST: Header files must be in a -devel package.

One header file, which is in the -devel package.

GOOD

# MUST: Static libraries must be in a -static package.

No static libraries

GOOD

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

.so file is in the -devel package.

GOOD

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

-devel package has the necessary Requires:.

GOOD

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

No .la archives.

GOOD

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

Not a GUI application.

GOOD

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

GOOD

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

GOOD

# MUST: All filenames in rpm packages must be valid UTF-8.

GOOD

Comment 3 Orcan Ogetbil 2010-04-17 00:48:48 UTC
Thank you for the comprehensive but informal review. I fixed the libdir issue:
SPEC: http://6mata.com:8014/review/zita-resampler.spec
SRPM: http://6mata.com:8014/review/zita-resampler-0.1.1-2.fc12.src.rpm

koji F-12 build succeeded:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2122016

Comment 4 Orcan Ogetbil 2010-04-30 23:33:46 UTC
Hi David, just a reminder, since you are sponsored now you can finish the review on this one. You are not required to though.

Comment 5 David Cornette 2010-05-01 05:14:09 UTC
The issue that I brought up earlier (builds failing on non-Intel type architectures) has been fixed.  The only issue I see (and it is not a blocker, since it is not a must) is that there is no man page.  The guidelines suggest working with upstream to try to get one.  I understand that you have not had good luck getting responses from this upstream developer in the past, but you could just send an email asking for a man page.  Unless you feel like making one yourself, of course.

Comment 6 Orcan Ogetbil 2010-05-01 06:57:03 UTC
Sure, I just sent an email to Fons, although I have serious doubts that he will take it into consideration. I don't have time to make a man page myself. Maybe over the summer... or we can wait Debian to package this and then we can borrow their man page :) since it is a requirement in their guidelines.

Comment 7 David Cornette 2010-05-01 16:48:46 UTC
There are no blockers, and the man page issue is being dealt with as best as possible.

==========
 APPROVED
==========

Comment 8 Orcan Ogetbil 2010-05-01 21:46:21 UTC
thank you for the review.

New Package CVS Request
=======================
Package Name: zita-resampler
Short Description: Fast, high-quality sample rate conversion library
Owners: oget
Branches: F-11 F-12 F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-05-04 02:53:11 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-05-04 07:55:40 UTC
zita-resampler-0.1.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc13

Comment 11 Fedora Update System 2010-05-04 07:56:15 UTC
zita-resampler-0.1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc12

Comment 12 Fedora Update System 2010-05-04 07:56:45 UTC
zita-resampler-0.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc11

Comment 13 Fedora Update System 2010-05-04 23:49:33 UTC
zita-resampler-0.1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zita-resampler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc11

Comment 14 Fedora Update System 2010-05-04 23:54:59 UTC
zita-resampler-0.1.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zita-resampler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc12

Comment 15 Fedora Update System 2010-05-04 23:57:03 UTC
zita-resampler-0.1.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zita-resampler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zita-resampler-0.1.1-2.fc13

Comment 16 Fedora Update System 2010-05-12 17:56:10 UTC
zita-resampler-0.1.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-12 17:56:48 UTC
zita-resampler-0.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-12 18:00:39 UTC
zita-resampler-0.1.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.